[gobolinux-users] YP-Tools fails to install

Egil Brendsdal egilb at ife.no
Tue Apr 9 11:01:57 NZST 2013


Fabio Mierlo <fabio <at> n42.org> writes:

> 
> The same response in other words:
> 
> 1. mkdir -p /Programs/YP-Tools/2.8/var/yp/
> 2. mv /Programs/YP-Tools/2.8/.SandboxInstall_Root/System/Variable/yp/nicknames
> /Programs/YP-Tools/2.8/var/yp/
> 3. rm -r /Programs/YP-Tools/2.8/.SandboxInstall_Root
> 4. SymlinkProgram YP-Tools 2.8
> 
> Fabio Mierlo
> 
> On 8 April 2013 18:00, Hisham <hisham <at> apple2.com> wrote:
> > On 8 April 2013 17:27, Egil Brendsdal <egilb <at> ife.no> wrote:
> >> Jonas Neumann <gobolinux <at> tschanness.de> writes:
> >>
> >>>
> >>>
> >>> Seems to me that it compiled correctly but fails whith the Sandbox files.
> >> Try "SymlinkProgram YP-Tools 2.8" and see if it works. A little longer log
> >> would be good too :)sC
> >>>
> >>>
> >>> On Fri, Apr 5, 2013 at 5:59 PM, Egil Brendsdal <egilb <at> ife.no> wrote:
> >>> I recently discovered GoboLinux, and I find the method of organizing the
> >>> installed software particularly interesting. I'm currently 'playing
around'
> >>> with GoboLinux in order to get familiar with. There are problems when
> >> installing
> >>> software due to dead web-links in the recipes, but one can live with
that, the
> >>> latest GoboLinux is not brand new...
> >>> However, I did not manage to install YP-Tools:
> >>> # Compile yp-tools
> >>> (Skipping output from configure & make)
> >>> UnionSandbox: Cleaning up.
> >>> UnionSandbox: Moving entries to:
/Programs/YP-Tools/2.8/.SandboxInstall_Root
> >>> SandboxInstall: Postprocessing Sandbox
> >>> SandboxInstall: Left over files:
> >>> System
> >>> System/Variable
> >>> System/Variable/yp
> >>> System/Variable/yp/nicknames
> >>> Compile: Installation step failed.
> >>> Does anyone know a work-around?
> >>> Regards, EB.
> >>> _______________________________________________
> >>> gobolinux-users mailing listgobolinux-users <at>
> >>
lists.gobolinux.orghttp://lists.gobolinux.org/mailman/listinfo/gobolinux-users
> >>>
> >>>
> >>>
> >>>
> >>>
> >>>
> >>> _______________________________________________
> >>> gobolinux-users mailing list
> >>> gobolinux-users <at> lists.gobolinux.org
> >>> http://lists.gobolinux.org/mailman/listinfo/gobolinux-users
> >>>
> >> Jonas: Thank you for guiding me towards the SymlinkProgram program. By
> >> following your suggestion, it seems that the programs in YP-Tools all are
> >> installed/sym-linked correctly. There is, however, some flaw in a
configuration
> >> script for YP-Tools, I guess: When trying e.g. "ypcat passwd", the error
> >> message is "nickname file /var/yp/nicknames does not exist", the same file
> >> as made "Compile" fail.
> >
> > That file failed to install because of the sandbox. It should still be at
> >  /Programs/YP-Tools/2.8/.SandboxInstall_Root
> > You may want to take a look at that directory and move the files there
> > into their appropriate places.
> >
> > Normally Compile should ask you about those files and offer to do this
> > automatically in case of shared files that have to live outside their
> > /Programs containers, such as /var/yp/nicknames, but looks like
> > there's a bug somewhere.
> >
> > Hope that helps,
> >
> > -- Hisham
> > http://hisham.hm/
> > _______________________________________________
> > gobolinux-users mailing list
> > gobolinux-users <at> lists.gobolinux.org
> > http://lists.gobolinux.org/mailman/listinfo/gobolinux-users
> 

Thank you, both Hisham & Fabio. The advices helped me, one step...

In order to get "ypbind" running, I think I have to install "portmap".
"Portmap" fails to install (rpc_soc.c:108: error: 'SOCK_CLOEXEC' undeclared).
I think I've read somewhere that the SOCK_CLOEXEC-problem is due to a too old
version of "glibc".

Firstly, "Compile glibc" gives the following:

Compile: Recipe was created with Compile 1.11.0,
which is more recent than the one you have installed.
Compilation may fail, upgrade ('InstallPackage Compile') is recommended.

Next, "InstallPackage Compile" gives:

InstallPackage: Compile does not seem to be a valid GoboLinux package.

As a final shot I tried to install glibc using Compile 1.10.2:

Compile: Could not unpack '/Files/Compile/Archives/glibc-2.15.tar.xz'.

My question is then, am I lacking a vital program or update or something in
that direction?





More information about the gobolinux-users mailing list